/* Auteur: Nicolas JANEY              */
/* nicolas.janey@univ-fcomte.fr       */
/* Avril 2010                         */
/* Un manipulateur souris et clavier  */

#ifndef ____MODULEFLY____
#define ____MODULEFLY____

#include "Module.h"

void mouseFly(int bouton,int etat,int x,int y) ;
void motionFly(int x,int y) ;
void keyboardFly(unsigned char key,int x,int y) ;
void specialFly(int k, int x, int y) ;

void setPositionsFly(float *pxFly,float *pyFly,float *pzFly);
void setVitesseFly(float *vitesseFly);
void setDirectionFly(float *dirFly);
void setFonctionUpdate(fonctionVoid fonction);

#endif
